/* UNi class */
.fixed {
    position: fixed;
    top: -4rem;
    z-index: 20;
    animation: ShowNav 0.5s 0s 1 both ease-in-out;
}

@keyframes ShowNav {
    from {
        top: -4rem;
    }

    to {
        top: 0;
    }

}
/* Navigation bar section  */
nav {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: auto;
    padding: 0.7rem 0;
    background-color: rgb(255, 255, 255);
}

/* Nav more links btn section  */
#NavMoreLnkBtn {
    background-color: var(--SecondaryBG);
    outline: none;
    border: none;
    width: 3rem;
    height: 2.5rem;
    border-radius: 10px;
    margin-left: auto;
    margin-right: 1rem;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    padding: 0.4rem 0.5rem;
    cursor: pointer;
    display: none;
}

#NavMoreLnkBtn>span {
    background-color: black;
    width: 90%;
    height: 4px;
    border-radius: 4px;
}

/* Border Bottom Under Nav Section  */

#btmBordrNav {
    width: 100%;
    height: 3px;
    position: absolute;
    z-index: 0;
    border-radius: 40px;
    top: 4rem;
    display: flex;
    overflow: hidden;
    align-items: center;
}

.spnUnderNav:nth-child(1) {
    animation: aniNavBottom1 5s 0s both cubic-bezier(0.94, 0.46, 0.45, 0.94) alternate infinite;
    left: 0;
}

#brandingNav {
    width: auto;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 0;
    margin-left: 1rem;
}

#brandingNav>a:nth-child(1) {
    width: auto;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#textLogo {
    width: var(--navBrnTxtImgWid);
    height: auto;
}

#bulbLogo {
    width: var(--navBrnblbImgWid);
    height: auto;
}

nav>div:nth-child(2) {
    background-color: var(--navLinkFontClr);
    width: 2px;
    height: 60%;
    margin-right: auto;
    margin-left: 1rem;
}

nav>ul {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: auto;
    margin-right: 1rem;
}

nav>ul>a {
    list-style: none;
    font: caption;
    font-size: var(--navLinkFontSze);
    color: var(--uniFontColor);
    margin: auto 0.4rem;
    text-decoration: none;
    transition: 0.5s;
    transition-property: background-color;
    padding: 0.5rem 0.8rem;
    border-radius: 7px;
    display: flex;
    font-weight: 600;
}

nav>ul>a:hover {
    background-color: var(--QuadBG);
}

#MoreNavWin {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--SecondaryBG);
    width: 100%;
    height: 0rem;
    position: absolute;
    z-index: 2;
    overflow: hidden;
}

#MoreNavMWin {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 10rem;
    flex-direction: column;
}

#MoreNavWin>ul>a {
    width: 100%;
    height: auto;
    padding: 0.6rem 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--PrimaryBG);
    text-decoration: none;
    font: caption;
    font-size: var(--navLinkFontSze);
    color: var(--uniFontColor);
    margin: 0.1rem auto;
}
